2 replies
I have a After run ""di:compile"" command in SSH, I got this error in magento 2:
""Incorrect dependency in class MageArray\Testimonials\Helper\Data in var\www\magento\app\code\MageArray\Testimonials\He lper\Data.php
Magento\Framework\App\Config\ScopeConfigInterface already exists in content object""

Could somebody explain and help me with this?
#compile #error #notice
Avatar of Unregistered
  • This error appears because the parent class that your helper extended have ""Magento\Framework\App\Config\ScopeConfigInterfac e"" already. In that case, your class extends ""Magento\Framework\View\Element\Template"".
    You could remove that variable in your function __construct() in ""MageArray\Testimonials\Helper\Data.php""
    {{ DiscussionBoard.errors[11304046].message }}
    • Profile picture of the author Charm Edward
      It seems great but as advised, I had already asked for some help from those developers from BSSGeek, they gave me a simple instruction and had made some changes accordingly on the site. It works now! But thank you for great support.
      Best regards
      {{ DiscussionBoard.errors[11304050].message }}
Avatar of Unregistered

Trending Topics